Get Virtual Bank Account Details
curl --request GET \
--url https://sandbox.cashfree.com/pg/vba/{virtual_account_id} \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://sandbox.cashfree.com/pg/vba/{virtual_account_id}"
headers = {
"x-client-id": "<x-client-id>",
"x-client-secret": "<x-client-secret>",
"x-api-version": "<x-api-version>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-client-id': '<x-client-id>',
'x-client-secret': '<x-client-secret>',
'x-api-version': '<x-api-version>'
}
};
fetch('https://sandbox.cashfree.com/pg/vba/{virtual_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"virtual_bank_accounts": [
{
"vba_bank_code": "UTIB",
"vba_account_number": 94351020001772,
"vba_ifsc": "UTIB0CCH274",
"vba_status": "ACTIVE",
"vba_created_on": "2019-08-24T14:15:22Z",
"vba_last_updated_on": "2019-08-24T14:15:22Z",
"virtual_account_details": {
"virtual_account_id": "User01",
"virtual_account_name": "John Doe",
"virtual_account_email": "user@cashfree.com",
"virtual_account_phone": 9876543210
},
"kyc_details": {
"gst": "29AAICP2912R1ZR",
"pan": "ABCPV1234D",
"aadhar": "655675523712"
},
"remitter_lock_details": {
"allowed_remitters": [
{
"account_number": "026291800001191",
"ifsc": "YESB0000262"
}
]
},
"amount_lock_details": {
"min_amount": 1000,
"max_amount": 5000
},
"notification_group": "<string>"
}
]
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "something is not found",
"code": "bank_processing_failure",
"type": "api_error"
}Get VBA
Use this API to get the details of the created virtual bank account by entering the virtual account ID.
GET
/
pg
/
vba
/
{virtual_account_id}
Get Virtual Bank Account Details
Headers
client id generated from the merchant dashboard
client secret generated from the merchant dashboard
API version to be used. The accepted format is YYYY-MM-DD.
Available options:
2024-07-10T00:00:00.000Z Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree Payments.
Example:
"4dfb9780-46fe-11ee-be56-0242ac120002"
Path Parameters
It is the unique ID you created to identify the virtual bank account.
Example:
"User01"
Response
Success Response.
It contains the details of the virtual bank account.
Show child attributes
Show child attributes
⌘I
